Subject: bug#10575: "compress" not found: causes many test failures

From: Stefano Lattarini <[email-masked]>
Date: Sun, 22 Jan 2012 12:23:09 +0100

tags 10575 patch
severity 10575 minor
close 10575
thanks

On 01/22/2012 12:18 PM, Jim Meyering wrote:
>> Subject: [PATCH] dist tests: missing "compress" program was causing spurious
>>  failures
>>
>> Fixes automake bug#10575.
>>
>> The "compress" tool is becoming anachronistic, and thus is not
>> installed by default on modern distros (e.g., Fedora 16).  We
>> can't thus unconditionally assume it exists on every reasonable
>> portability target.
>>
>> * tests/dist-formats.tap ($missing_compressors): When defining
>> this, don't assume anymore that compress(1) is unconditionally
>> available.
>> (Parallel compression): Skip this sub-test if compress(1) is
>> unavailable.
>> Since we are at it, fix a couple of unrelated buglets: a typo
>> in a test name (s/distcheck/ark-exists/), and some attempts to
>> remove directories with "rm -f".
> 
> That patch looks fine.
> I confirmed that avoids several of the failures.
> Thanks for the quick work.
>
Thanks for the quick reply.  I've pushed the patch, and I'm closing
this bug.

Regards,
  Stefano